This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 376551 - CompizConfig Settings Manager has no effect.
CompizConfig Settings Manager has no effect.
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: ccsm (Show other bugs)
8
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Mohd Izhar Firdaus Ismail
Fedora Extras Quality Assurance
: Reopened
Depends On: 377041 406771
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-11 16:24 EST by J French
Modified: 2008-12-26 00:19 EST (History)
8 users (show)

See Also:
Fixed In Version: 0.6.0-2.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-02 10:11:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description J French 2007-11-11 16:24:27 EST
Description of problem:
CompizConfig Settings Manager has absolutely no effect.

Version-Release number of selected component (if applicable):
ccsm-0.6.0-3.fc8

How reproducible:
Every time

Steps to Reproduce:
1. Install compiz-fusion
2. Install CCSM
3. Turn on desktop effects
4. Open CCSM and try to change things
  
Actual results:
CCSM stores the values, but those values are not applied to compiz

Expected results:
Things should change

Additional info:
Fixed by editing /usr/bin/gnome-wm - changing this (near the bottom):
case `basename $WINDOW_MANAGER` in
  compiz)
    export LIBGL_ALWAYS_INDIRECT=1
    gtk-window-decorator &
    OPT3=glib
    OPT4=gconf
    ;;
  beryl)
    emerald &
    ;;
esac

To this:
case `basename $WINDOW_MANAGER` in
  compiz)
    export LIBGL_ALWAYS_INDIRECT=1
    gtk-window-decorator &
    OPT3=glib
#    OPT4=gconf
    OPT4=ccp
    ;;
  beryl)
    emerald &
    ;;
esac
Comment 1 Mohd Izhar Firdaus Ismail 2007-11-11 23:29:17 EST
This is a known issue,

for now, there is a package called compiz-manager which will launch compiz
properly with ccp. yum for compiz-manager, and add it into your startup program
list.

blocker:
https://bugzilla.redhat.com/show_bug.cgi?id=377041
Comment 2 Jakub 'Livio' Rusinek 2007-11-14 07:06:16 EST
Also LIBGL_ALWAYS_INDIRECT=1 has no effect. --indirect-rendering gives the effect.
Comment 3 J French 2007-11-16 10:56:50 EST
Well, I got this working, but it's certainly not as clear cut as simply
installing compiz-manager.

In the first place, I now have no less than 3 individual menu items for starting
a 3D desktop - 2 entries for "GL Desktop" and the "Desktop Effects" item. None
of these start compiz properly. In order to get compiz to run with my selected
options from CCSM, I have to either launch compiz-manager from a terminal or
create a launcher.

For anyone reading this, I suggest you create the launcher. If compiz starts
running away, you can just click this and it'll restart compiz without you
having to completely log out (and compiz does like to run away after a while).
Creating the launcher is as simple as right-clicking your panel > Add to panel >
Custom application launcher, and putting "/usr/bin/compiz-manager" in the
"Command" box.

A better solution to this would be to replace the "Desktop Effects" dialog with
something that actually calls compiz-manager - and I really don't see the point
in the "GL Desktop" items. Realistically, how many non-working compiz launchers
do I need?

I still have "OPT4=ccp" in my /usr/bin/gnome-wm, I tried reverting it, but that
had no effect. I'm currently thinking I would have been better off with compiz
manager though as now my window focus isn't following my mouse - not sure if
it's related or not though as I really hadn't been using the system very long
before all this to remember one way or the other, see
https://bugzilla.redhat.com/show_bug.cgi?id=387061
Comment 4 vfiend 2007-11-20 04:59:54 EST
If what's on the mailing list is right, the package compizconfig-backend-gconf
will let ccsm use gconf as the backend which would solve this, seems to be only
in rawhide though?
Comment 5 Mohd Izhar Firdaus Ismail 2007-11-20 07:48:28 EST
I have send a request to push compizconfig-backend-gconf to updates-testing ..
tell me if it works for you .. as it is only partially working for me ..
changing values without disabling Auto Plugin Sorting always segfaults compiz ..
Comment 6 Fedora Update System 2007-11-20 12:46:09 EST
compizconfig-backend-gconf-0.6.0-2.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update compizconfig-backend-gconf'
Comment 7 J French 2007-11-20 13:01:23 EST
was this only done for the i386 version? I get "Could not find update match for
compizconfig-backend-gconf"

Do I still have to launch compiz with the launcher I specified above - or are my
3 other icons going to be useful with this?
Comment 8 vfiend 2007-11-20 18:22:33 EST
Grabbed it from Koji - After going into ccsm and enabling the gconf backend in
preferences (should probably be default once this gets working), Compiz crashes
A LOT when enabling plugins.
Comment 9 Ferry Huberts 2007-11-24 08:51:52 EST
I had some major problems getting ccsm to work too but I have it running now.
I run Fedora 8 with an nvidia 8600GTS.

There are some thing you must do to get there:
1- edit /usr/bin/compiz-manager:
   replace
     XORG_DRIVER_PATH="/usr/$ARCH_LIB/xorg/modules/drivers/"
   with
     XORG_DRIVER_PATH="/+usr/+$ARCH_LIB/+xorg/+modules/+drivers/+"
   (there seem to bee multiple slashes between modules and drivers)
2- ln -s /usr/lib64/compiz/libccp.so /usr/lib64/compizconfig/backends/
   (either the library is installed in the wrong location or the script
    is wrong about the location)
3- add compiz-manager to your session

I hope I have not forgotten something, but ItWorkForMe.
Comment 10 Ferry Huberts 2007-11-24 09:17:57 EST
Update for emerald:

1- edit /usr/bin/compiz-manager:
   If you want to use emerald, then replace
     USE_EMERALD=${USE_EMERALD:-no}
   with
     USE_EMERALD=${USE_EMERALD:-yes}
Comment 11 J French 2007-11-24 12:08:34 EST
This is insane. Are we really expecting end users to go through all of this just
to get a 3D desktop that they can actually apply some options to? I'll tell you
here and now that if someone is going to go through the trouble of downloading
one distribution, when they see it not working, they'll find it far easier to
simply go download a different distro than to do all this nonsense.

For the record, I've still found the first method I posted (without
compiz-manager) to be the easiest solution on the end user as all this involves
is installing ccsm and editing the OPT4 option in gnome-wm. All these other
workarounds and hacks are just that - hacks, and the more complex your hack, the
better your chance for instability - which, by the way, I'm not having issues
with using that method.

I've seen it written plenty of times how we "just go tweak this" or "just
install this package from a non-default repository" - but in reality, if we have
to do things like this, we're merely stating that Fedora is not stable. If
Fedora is not stable, why on earth does it have a version of "8" instead of a
version of 7.whatever? A release is supposed to be a "stable" collection of
packages, not a "it works on 3% of the systems we tried it on" collection. I
think the Fedora deadlines are starting to erode the quality of what I consider
the best distribution out there and that really sucks. I would so much prefer
the releases focused on quality of the OS rather than making some self-imposed
release schedule - at least enough to make expected features like a 3D desktop
operational without all this.

I think I've made my position clear on this. If a package gets released that
really fixes this, I'll happily install it, but in the mean time, I'll just
stick with what I know works.
Comment 12 Mohd Izhar Firdaus Ismail 2007-11-24 13:04:46 EST
@(In reply to comment #9 and comment #10)

Those are changes which need to be added in /usr/bin/compiz-manager, please file
it against the compiz-manager package.

@(In reply to commend #11)

Cool down .. CCSM is not known to work with glib gconf, even in other distros
too (ubuntu uses their own gconf based configurator), I am still waiting for
upstream compiz-fusion actually make this just works with glib gconf as the
gnome people in no way agrees with modifying /usr/bin/gnome-wm .. gconf-backend
partially works though it has tendency to crash compiz .. until then, we had to
live with it ..
Comment 13 Mohd Izhar Firdaus Ismail 2007-11-24 13:05:18 EST
*s/not known/known not/
Comment 14 Ferry Huberts 2007-11-24 14:06:21 EST
in response to #12:

filed 397961 for #9, comment 1
filed 397971 for #9, comment 2
Comment 15 J French 2007-11-24 14:53:50 EST
@#12: I'm not going ballistic or anything, I'm just trying to get focus on the
issue at hand - that CCSM doesn't work as it should OOTB.

I don't care about compiz-manager. As I see it, the whole point of this package
should be to enable proper operation of CCSM, which it doesn't do OOTB.

I don't care about compizconfig-backend-gconf as this makes my system far more
unstable with no benefits I can't get with the slight modification to gnome-wm.
If CCSM is known not to work with gconf, why are we attempting to force it to do so?

Whether the Gnome people "agree" with my solution or not, it works and it's
stable. Until everyone can get synced, I'm just going to stick with it. 

The problem, as I see it, is with Gnome - whether they want to admit it or not.
Gnome has the wrong option in gnome-wm, it's an option that doesn't work, so
it's an option that should be fixed to something that does. There's nothing to
"agree to" here, it's not an opinion, it doesn't work, period. That is a
documented and verifiable fact. Not agreeing with this is like disagreeing with
the statement that the world is round. As such, It should be changed to
something that DOES work until the desired options do work. If they're worried
about upgrade compatibility, I'd point out that if it doesn't work, or
constantly crashes, people aren't going to be using it anyway so there won't be
any upgrades. Also, I'll point out that the option I specified is specific to
compix, so arguments about other window managers and so forth are also pointless.

If they don't want to fix it, that's fine by me, this is all open source after
all, which means I can simply go change it myself until it starts coming out
working.

Really, and be honest, which solution would you rather explain over the phone to
someone who had just installed Fedora 8 who had never seen any other form of
Linux before? Or would your whole answer be to wait for all this to get resolved
before using a 3D desktop?

Ubuntu is a junk distro with excellent marketing - lots of things work under
Fedora that don't work under Ubuntu. So any comparison between Ubuntu and Fedora
along those lines goes in one ear and out the other here. IMO it rates right up
there with Lindows and Mandriva. On that note, I could really care less about
any of the other distros out there. Making excuses that this doesn't work on
them either, especially when I've already fixed the whole issue on *this* disto,
is moot.
Comment 16 Mohd Izhar Firdaus Ismail 2007-11-24 22:03:54 EST
The issue here is not 3D desktop (compiz), but only compiz-fusion plugins and
CCSM which are optional components from a different project. You can use compiz
with least effort, but not compiz-fusion. They took a different direction from
upstream compiz's way of managing configurations (of using gconf for GNOME, and
KConfig for KDE) by using their own backend ccp. You can configure 3D Desktop
(compiz) by installing gnome-compiz-manager.

Upstream disagree to ccp as they want to centralize every configs into
desktop-specific backends. Furthermore, CCSM does not follows GNOME Human
Interface Guidelines.  Fedora follows upstream, if upstream disagree, we should
not do it unless it is really necessary. To be frank, i also wants ccp to be
loaded, but thats the policy, or we might be introducing other problems of which
upstream will not agree to accept as their bugs.

So, for now, it is like assuming that there no proper configurator for
compiz-fusion (yet), and ccsm is just a temporary workaround or 'hack' from the
compiz-fusion project. Compiz-fusion OOTB might probably be a feature for F9,
but in F8, its not.

http://fedoraproject.org/wiki/PackageMaintainers/WhyUpstream

added blocker #339021, until compizconfig-backend-gconf working properly with
CCSM, this bug remains open.
Comment 17 J French 2007-11-27 17:42:27 EST
"The issue here is not 3D desktop (compiz), but only compiz-fusion plugins and
CCSM which are optional components from a different project."
So if I come from F7 and Beryl, in all it's fanciness, compiz-fuzion in its
present state, with no plugins, is supposed to be an upgrade from that? Come on,
really? If I want a desktop anything like the one I had on F7, I *have* to
install the plugins. If compiz-fusion, CCSM or the plugins themselves don't
work, why are they being included in the repos?

"Upstream disagree to ccp as they want to centralize every configs into
desktop-specific backends. Furthermore, CCSM does not follows GNOME Human
Interface Guidelines.  Fedora follows upstream, if upstream disagree, we should
not do it unless it is really necessary."
I'm well aware of Fedora's upstream policy. Having said that, I would argue that
the change is indeed necessary in order for the system to work for the end user
as expected. If all these extra packages are a requirement for the "preferred"
method, then they should be dependent upon CCSM, if these other files need to be
edited and symbolic links added, those should be done via a dependent package as
well. It should not be expected that the end user will just automatically know
to do all of this - especially if F8 is that user's first Linux experience.
Further, this being an RPM-based distribution, none of these files *should* be
edited by hand anyway as we all know that a subsequent update of the packages
that provide these will just wipe out any change made anyway - so a user updates
their system and all of a sudden things stop working.

"So, for now, it is like assuming that there no proper configurator for
compiz-fusion (yet), and ccsm is just a temporary workaround or 'hack' from the
compiz-fusion project. Compiz-fusion OOTB might probably be a feature for F9,
but in F8, its not."
Yet I've shown how to make this work stably and it's mere politics that stands
in the way of implementation. I suppose the only "proper" configurator is the
GConf editor. CCSM gives end users a realistic control panel for setting
compiz-fuzion and plugin options. It does NOT work OOTB in its present state. It
does work with ccp. What I'm saying is we should be using the best tool that
works now. If Gnome wants this that or the other thing, they should be making it
such that it works rather than complaining that they don't want to use some
other back end. If Fedora refuses to fix the package of their own accord so that
it works on *this* distro, then I'd ask what the point is in including
nonfunctional software.

The best available option here is a new gnome-session package that fixes this
issue directly by changing OPT4 to ccp in /usr/bin/gnome-wm. When the gconf back
end works properly, change it back. Perhaps make gconf compatibility for CCSM
something required for F9. Regardless of people's feelings and various policy,
the point, or at least one of them, of the distribution should be to provide
users with features that actually work (using only open source software) in the
most stable manner possible.

On that note, perhaps this should be a bug filed directly against gnome-session
since in reality CCSM works perfectly when using the proper back end.
Comment 18 Matěj Cepl 2007-12-12 12:54:23 EST
*** Bug 387061 has been marked as a duplicate of this bug. ***
Comment 19 drago01 2008-01-21 11:31:51 EST
According to upstream the glib plugin might be causing this crashes. If you want
to use ccp this way don't pass "glib" to compiz, but just passing ccp should be
enough.
Comment 20 Fedora Update System 2008-01-24 16:48:56 EST
compizconfig-backend-gconf-0.6.0-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 21 Mohd Izhar Firdaus Ismail 2008-01-24 18:45:30 EST
reopen this bug .. the backend-gconf was pushed to stable due to request ..
problem not really fixed ..
Comment 22 markm 2008-01-28 15:30:30 EST
I can confirm, that compizconfig-backend-gconf causes problems with
compiz-fusion. I had a problem with it on three laptops (all dells, different
models) and after installing compizconfig-backend-gconf package, I could not get
compiz fusion plugins work. Here is my solution:

uninstall compizconfig-backend-gconf
install fusion-icon
add fusion-icon to your session

now everytime you start your session, fusion-icon will start compiz with working
set of plugins.
Comment 23 Bug Zapper 2008-11-26 03:19:32 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 24 Ferry Huberts 2008-12-02 04:31:04 EST
this is old, please close
Comment 25 Mohd Izhar Firdaus Ismail 2008-12-02 10:11:33 EST
upstream compiz-fusion decided NOT to support glib gconf as default compiz plugin .. and fedora compiz maintainers decided NOT to use ccp as default compiz plugin .. 

i guess .. this is a CANTFIX .. unless somebody know how some other workarounds ..
Comment 26 drago01 2008-12-02 10:28:36 EST
(In reply to comment #25)
> upstream compiz-fusion decided NOT to support glib gconf as default compiz
> plugin .. and fedora compiz maintainers decided NOT to use ccp as default
> compiz plugin .. 
> 
> i guess .. this is a CANTFIX .. unless somebody know how some other workarounds
> ..

A fix is being discussed upstream http://marc.info/?l=freedesktop-compiz&m=122781853320693&w=2
Comment 27 markm 2008-12-02 10:37:48 EST
It is really poor users experience - user installs fedora end expects compiz and compiz fusion working out of the box. Some one should make a decision there - not taking a decision does not solve the problem.

at the moment cpp + ccsm are the only working solution - why fedora people deny that? they should look at the problem from users perspective - all other distros users can enjoy compiz fussion effects out of the box, fedora users cannot - so it should be enabled by default to enhance users experience.

most of the users will install fusion icon (as it is explained in almost every faq) and they will actually use cpp, so why not to enable that by default?

CCSM does not follow HIG rules? I don't care! why? because it actually works and there is no better solution to replace it - as simple as that.

I don't understand why Fedora developers don't want compiz-fusion to work out of the box on Fedora desktops.
Comment 28 Bryan Christ 2008-12-02 12:07:04 EST
So what is the ideal solution?  Fedora should have an out-of-the box Compiz Fusion.
Comment 29 Izhar Firdaus 2008-12-26 00:19:49 EST
Erm .. A little workaround hack .. 

http://fedorapeople.org/gitweb?p=izhar/public_git/fusion-desktop-effects.git;a=summary

Note You need to log in before you can comment on or make changes to this bug.